Bug 178807 - Web Inspector: Canvas Tab: no path components shown in recording content view after selecting a recording via View Recordings... dropdown
Summary: Web Inspector: Canvas Tab: no path components shown in recording content view...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasRecording WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-25 10:18 PDT by Brian Burg
Modified: 2017-12-04 17:40 PST (History)
5 users (show)

See Also:


Attachments
Screenshot (267.05 KB, image/png)
2017-10-25 10:18 PDT, Brian Burg
no flags Details
Patch (7.67 KB, patch)
2017-10-27 00:53 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-10-25 10:18:50 PDT
Created attachment 324842 [details]
Screenshot

STR:

1. Visit acko.net
2. Create a recording
3. Go back via arrow in jump bar
4. Select recording via View Recordings...
=> No path components shown at all
Comment 1 Radar WebKit Bug Importer 2017-10-25 10:19:12 PDT
<rdar://problem/35176463>
Comment 2 Brian Burg 2017-10-25 10:20:41 PDT
This only seems to occur for the first recording. If there are >1 recordings, the other ones don't have this problem.
Comment 3 Devin Rousso 2017-10-27 00:53:59 PDT
Created attachment 325133 [details]
Patch
Comment 4 Brian Burg 2017-10-30 13:27:12 PDT
Comment on attachment 325133 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=325133&action=review

r=me

> Source/WebInspectorUI/UserInterface/Views/CanvasTreeElement.js:-98
> -        this.addRepresentedObjectToNewChildQueue(event.data.item);

I'm not familiar with the function, what was the intent behind this.addRepresentedObjectToNewChildQueue?
Comment 5 Devin Rousso 2017-10-30 13:33:17 PDT
Comment on attachment 325133 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=325133&action=review

>> Source/WebInspectorUI/UserInterface/Views/CanvasTreeElement.js:-98
>> -        this.addRepresentedObjectToNewChildQueue(event.data.item);
> 
> I'm not familiar with the function, what was the intent behind this.addRepresentedObjectToNewChildQueue?

`addRepresentedObjectToNewChildQueue` is implemented on FolderizedTreeElement.js:113.  The comment in the function says this:

    // This queue reduces flashing as resources load and change folders when their type becomes known.

It keeps a queue of items to add and runs through it once per frame, basically batching the add/remove operations.  For things that don't "load" per se, however, it is probably unnecessary.  Canvases/ShaderPrograms don't ever change type, so we don't really need to worry about that.
Comment 6 WebKit Commit Bot 2017-10-30 13:53:06 PDT
Comment on attachment 325133 [details]
Patch

Clearing flags on attachment: 325133

Committed r224200: <https://trac.webkit.org/changeset/224200>
Comment 7 WebKit Commit Bot 2017-10-30 13:53:07 PDT
All reviewed patches have been landed.  Closing bug.